For the complete documentation index, see llms.txt. This page is also available as Markdown.

Variant Attribute Assignment Config

Manage ERP variant attribute assignment configurations, including bundle attributes and CRUD operations, via the VARIO Cloud REST API.

ERP-Konfiguration für Varianten-Attributzuordnungen (Gebinde)

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json

ERP-spezifische Konfiguration einer Varianten-Attributzuordnung

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

bundleAttributebooleanRequired

Ist dieses Attribut ein Gebinde-Attribut?

Default: false
get/erp/variant-attribute-assignment-config/{id}
GET /erp/variant-attribute-assignment-config/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "attributeAssignmentRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "bundleAttribute": false
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body

ERP-spezifische Konfiguration einer Varianten-Attributzuordnung

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

bundleAttributebooleanRequired

Ist dieses Attribut ein Gebinde-Attribut?

Default: false
Responses
200

successful operation

application/json

ERP-spezifische Konfiguration einer Varianten-Attributzuordnung

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

bundleAttributebooleanRequired

Ist dieses Attribut ein Gebinde-Attribut?

Default: false
put/erp/variant-attribute-assignment-config/{id}
PUT /erp/variant-attribute-assignment-config/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 103

{
  "version": "text",
  "info": {},
  "id": "text",
  "attributeAssignmentRef": {
    "id": "text"
  },
  "bundleAttribute": false
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "attributeAssignmentRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "bundleAttribute": false
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/variant-attribute-assignment-config/{id}
DELETE /erp/variant-attribute-assignment-config/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Create new Resource

post
Body

ERP-spezifische Konfiguration einer Varianten-Attributzuordnung

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

bundleAttributebooleanRequired

Ist dieses Attribut ein Gebinde-Attribut?

Default: false
Responses
200

successful operation

application/json

ERP-spezifische Konfiguration einer Varianten-Attributzuordnung

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

bundleAttributebooleanRequired

Ist dieses Attribut ein Gebinde-Attribut?

Default: false
post/erp/variant-attribute-assignment-config/
POST /erp/variant-attribute-assignment-config/ HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 103

{
  "version": "text",
  "info": {},
  "id": "text",
  "attributeAssignmentRef": {
    "id": "text"
  },
  "bundleAttribute": false
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "attributeAssignmentRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "bundleAttribute": false
}

Last updated

Was this helpful?